// DPMVDemo2.java

import java.awt.event.*;

import javax.swing.*;

import org.jdesktop.swingx.calendar.*;

public class DPMVDemo2
{
   public static void main (String [] args)
   {
      // Establish a look and feel for this application's GUI.

      setLookAndFeel ();

      // Create a frame window whose GUI presents the month view component.

      final JFrame frame = new JFrame ("Date Picker Month View Demo #2");

      // Tell application to automatically exit when the user selects the Close
      // menu item from the frame window's system menu.

      frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);

      // Install a month view component that presents four months (where the
      // first month contains the current date), in a 2-by-2 grid, allows
      // multiple consecutive days to be selected, and invokes an action
      // listener at the end of the selection.

      final JXMonthView monthView = new JXMonthView ();
      monthView.setPreferredCols (2);
      monthView.setPreferredRows (2);
      monthView.setSelectionMode (JXMonthView.MULTIPLE_SELECTION);
      ActionListener al;
      al = new ActionListener ()
           {
               public void actionPerformed (ActionEvent e)
               {
                  DateSpan ds = monthView.getSelectedDateSpan ();

                  System.out.println ("First selected date = " +
                                      ds.getStartAsDate ());

                  System.out.println ("Last selected date = " +
                                      ds.getEndAsDate ());
               }
           };
      monthView.addActionListener (al);

      frame.getContentPane ().add (monthView);

      // Size frame window to fit the preferred size and layouts of its
      // components.

      frame.pack ();

      // Display GUI and start the AWT's event-dispatching thread.

      frame.setVisible (true);
   }

   static void setLookAndFeel ()
   {
      try
      {
          // Return the name of the LookAndFeel class that implements the
          // native OS look and feel. If there is no such look and feel, return 
          // the name of the default cross platform LookAndFeel class.

          String slafcn = UIManager.getSystemLookAndFeelClassName ();

          // Set the current look and feel to the look and feel identified by
          // the LookAndFeel class name.

          UIManager.setLookAndFeel (slafcn);
      }
      catch(Exception e)
      {
      }
   }
}
