// MoreSwingX1.java

// Demonstrate automatic completion on a JComboBox.

import java.util.*;

import javax.swing.*;

import org.jdesktop.swingx.autocomplete.Configurator;

class MoreSwingX1 extends JFrame
{
   MoreSwingX1 (String title)
   {
      // Assign title to the frame window's title bar.

      super (title);

      // Tell application to automatically exit when the user selects the Close
      // menu item from the frame window's system menu.

      setDefaultCloseOperation (EXIT_ON_CLOSE);

      // Create a data structure to hold combo box items.

      Vector<String> fruits = new Vector<String> ();

      // Add fuit names to data structure.

      fruits.add ("Apple");
      fruits.add ("Avocado");
      fruits.add ("Banana");
      fruits.add ("Grape");
      fruits.add ("Grapefruit");
      fruits.add ("Lemon");
      fruits.add ("Lime");
      fruits.add ("Mango");
      fruits.add ("Orange");
      fruits.add ("Papaya");
      fruits.add ("Peach");
      fruits.add ("Pear");
      fruits.add ("Pineapple");
      fruits.add ("Plum");

      // Create a combo box and enable its editing capability so we can 
      // practice with automatic completion.

      JComboBox combobox = new JComboBox (fruits);
      combobox.setEditable (true);

      // Fill entire GUI with combo box.

      getContentPane ().add (combobox);

      // SwingX's Configurator class presents a public static void
      // enableAutoCompletion(JComboBox comboBox) method to enable automatic
      // completion for the specified JComboBox.

      Configurator.enableAutoCompletion (combobox);

      // Size the GUI to reveal the complete contents of the title bar.

      setSize (300, 50);

      // Display GUI and start the AWT's event-dispatching thread.

      setVisible (true);
   }

   public static void main (String [] args)
   {
      new MoreSwingX1 ("SwingX Automatic Completion Demo");
   }
}
