// MoreSwingX1.java

// Demonstrate JXPanel translucency.

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.border.*;

import org.jdesktop.swingx.JXPanel;

class MoreSwingX3 extends JFrame
{
   final static ImageIcon icon = new ImageIcon ("mars.jpg");

   MoreSwingX3 (String title)
   {
      // Assign title to the frame window's title bar.

      super (title);

      // Tell application to automatically exit when the user selects the Close
      // menu item from the frame window's system menu.

      setDefaultCloseOperation (EXIT_ON_CLOSE);

      // Create a layered pane with Mars image on bottom layer and descriptive
      // text on top layer.

      JLayeredPane layeredPane = new JLayeredPane ();
      layeredPane.setPreferredSize (new Dimension (icon.getIconWidth (),
                                                   icon.getIconHeight ()));

      // Create the bottom layer.

      JLabel label = new JLabel (icon);
      label.setBounds (0, 0, icon.getIconWidth (), icon.getIconHeight ());

      layeredPane.add (label, new Integer (1));

      // Create the top layer.

      String [] facts =
      {
         "Mars is the fourth planet from the Sun",
         "Orbit: 227,940,000 km (1.52 AU) from Sun",
         "Diameter: 6,794 km",
         "Mass: 6.4219e23 kg"
      };

      JXPanel xpanel = new JXPanel ();
      xpanel.setLayout (new GridLayout (4, 1));
      xpanel.setBorder (BorderFactory.createBevelBorder (BevelBorder.LOWERED));
      xpanel.setAlpha (0.75f);
      xpanel.setDrawGradient (true);
      int x = (icon.getIconWidth ()-250)/2;
      int y = (icon.getIconHeight ()-150)/2;
      xpanel.setBounds (x, y, 250, 150);

      for (int i = 0; i < facts.length; i++)
           xpanel.add (new JLabel (facts [i], JLabel.CENTER));

      layeredPane.add (xpanel, new Integer (2));

      // Fill entire GUI with scrollable layered pane.

      getContentPane ().add (new JScrollPane (layeredPane));

      // Size the GUI to reveal the complete contents of the title bar.

      setSize (300, 300);

      // Display GUI and start the AWT's event-dispatching thread.

      setVisible (true);
   }

   public static void main (String [] args)
   {
      new MoreSwingX3 ("SwingX JXPanel Translucency Demo");
   }
}
